<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminCategory.class.php');

template:
{
	AdminCategory::tplSection('delete');

	Template::set('delete',
	[
		'button_text' => __('Supprimer l\'album'),
		'confirm_text' => __('Supprimer l\'album et tous les fichiers qu\'il contient ?'),
		'context_text' => __('Cette action supprimera de façon définitive l\'album,'
			. ' tous les fichiers qui s\'y trouvent ainsi que'
			. ' tous les commentaires et votes liés à ces fichiers.')
	]);
}

update:
{
	AdminCategory::delete();
}

get_data:
{
	AdminCategory::getInfos();

	AdminAlbums::getCategoriesLists();
}
?>